From 6a911c40ef29599803c59f9bfe7c02f27dbdcb8e Mon Sep 17 00:00:00 2001
From: "houzj.fnst" <houzj.fnst@cn.fujitsu.com>
Date: Tue, 11 May 2021 10:22:30 +0800
Subject: [PATCH] fix builtin parallel safety label in testcase

---
 src/include/catalog/pg_proc.dat                 | 8 ++++++++
 src/test/isolation/specs/deadlock-parallel.spec | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index 26c3fc0f6b..cf6ee3359c 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -8467,6 +8467,14 @@
 { oid => '2892', descr => 'release all advisory locks',
   proname => 'pg_advisory_unlock_all', provolatile => 'v', proparallel => 'r',
   prorettype => 'void', proargtypes => '', prosrc => 'pg_advisory_unlock_all' },
+{ oid => '6123', descr => 'obtain shared advisory lock for testing purpose',
+  proname => 'pg_advisory_test_xact_lock_shared', provolatile => 'v',
+  prorettype => 'void', proargtypes => 'int8',
+  prosrc => 'pg_advisory_xact_lock_shared_int8' },
+{ oid => '6124', descr => 'obtain exclusive advisory lock for testing purpose',
+  proname => 'pg_advisory_test_xact_lock', provolatile => 'v',
+  prorettype => 'void', proargtypes => 'int8',
+  prosrc => 'pg_advisory_xact_lock_int8' },
 
 # XML support
 { oid => '2893', descr => 'I/O',
diff --git a/src/test/isolation/specs/deadlock-parallel.spec b/src/test/isolation/specs/deadlock-parallel.spec
index 7ad290c0bd..7beaad46ee 100644
--- a/src/test/isolation/specs/deadlock-parallel.spec
+++ b/src/test/isolation/specs/deadlock-parallel.spec
@@ -37,10 +37,10 @@
 setup
 {
   create function lock_share(int,int) returns int language sql as
-  'select pg_advisory_xact_lock_shared($1); select 1;' parallel safe;
+  'select pg_advisory_test_xact_lock_shared($1); select 1;' parallel safe;
 
   create function lock_excl(int,int) returns int language sql as
-  'select pg_advisory_xact_lock($1); select 1;' parallel safe;
+  'select pg_advisory_test_xact_lock($1); select 1;' parallel safe;
 
   create table bigt as select x from generate_series(1, 10000) x;
   analyze bigt;
-- 
2.18.4

